<template>
  <!-- 添加违约规则 -->
  <div class="addShipPrice">
    <page-title>新增</page-title>
    <el-divider content-position="left">添加违约规则</el-divider>
     <div class="form-box">
        <dil-form :formId="170" v-model="form1" ref="from1"></dil-form>
      </div>
    <div class="button-box">
      <el-button @click="cancel">取消</el-button>
      <el-button type="primary" @click="makeSure">确定</el-button>
    </div>
  </div>
</template>

<script>
import PageTitle from "@/components/Page/Title";
export default {
  components: { PageTitle },
  data() {
    return {
      form1: {},
      value: undefined,
    };
  },
  mounted() {},
  methods: {
    // 确定
    makeSure() {
      let amsContractBreach = {
        breachName: this.form1.breachName,
        breachValue: this.form1.breachValue,
      };
      console.log(amsContractBreach);
      if (amsContractBreach.breachName==null||
      amsContractBreach.breachValue==null
      ) this.$message.error("必填项存在空值！");
      else
      this.axios
        .post(
          "/api/v1/ams/addContractBreach",
          amsContractBreach
        )
        .then((res) => {
        //   console.log(res);
        //   console.log(this.form4);
          this.$router.go(-1);
        });
    },
    // 取消
    cancel() {
      this.$router.go(-1);
    },
  },
};
</script>
<style lang='scss' scoped>
.addShipPrice{
  .form-box{
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .button-box{
    display: flex;
    justify-content: center;
    align-items: center;
  }
}
</style>